import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericMediaSensorToHoneywellIndustrial Converter")

class GenericMediaSensorToHoneywellIndustrial(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "Mark":
            res = "Black Mark"
        elif args[0] == "Gap":
            res = "Media With Gaps"
        elif args[0] == "None":
            res = "Continuous Var Len"
        return res




plugin = GenericMediaSensorToHoneywellIndustrial("GenericMediaSensorToHoneywellIndustrial")

store.AddConverter(plugin)